/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery.HttpServletNodeDiscoveryTagTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery.InlineTextNodeDiscoveryTagTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.HtmlAnchorNodeFormatterTagTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.NodeFormatterUtilsTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.TemplateNodeFormatterTagTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.AbstractNodeMatcherTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.DiscoveryUtilsTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.DynamicPathDiscoveryTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.NodePairTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.XmlPathDiscoveryTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.nodematchers.RegexNodeMatcherTest;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * This test case aggregates all Unit test cases.
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class UnitTests extends TestCase {
    /**
     * Assembles and returns a test suite containing all unit tests.
     *
     * @return Test A non-<tt>null</tt> test suite.
     *
     * @since 1.0
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        suite.addTest(new TestSuite(AbstractNodeDiscoveryTest.class));
        suite.addTest(new TestSuite(AbstractNodeMatcherTest.class));
        suite.addTest(new TestSuite(BreadCrumbExceptionTest.class));
        suite.addTest(new TestSuite(BreadCrumbNodeTest.class));
        suite.addTest(new TestSuite(BreadCrumbTrailTagExtraInfoTest.class));
        suite.addTest(new TestSuite(HtmlAnchorNodeFormatterTagTest.class));
        suite.addTest(new TestSuite(HttpServletNodeDiscoveryTagTest.class));
        suite.addTest(new TestSuite(InlineTextNodeDiscoveryTagTest.class));
        suite.addTest(new TestSuite(RegexNodeMatcherTest.class));
        suite.addTest(new TestSuite(TemplateNodeFormatterTagTest.class));
        suite.addTest(new TestSuite(NodePairTest.class));
        suite.addTest(new TestSuite(DiscoveryUtilsTest.class));
        suite.addTest(new TestSuite(NodeFormatterUtilsTest.class));
        suite.addTest(new TestSuite(XmlPathDiscoveryTest.class));
        suite.addTest(new TestSuite(DynamicPathDiscoveryTest.class));
        suite.addTest(new TestSuite(BreadCrumbTrailTagTest.class));

        return suite;
    }
}
