/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package demo;

import com.topcoder.util.config.ConfigManager;
import com.topcoder.util.config.ConfigManagerException;

import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServlet;


/**
 * This is a Servlet which represents a placeholder for the application logic that would initialize the web application,
 * so that Bread Crumb Trail Tag is configured properly.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class DummyServlet extends HttpServlet {
    /**
     * In this init method the configuration is loaded into {@link ConfigManager} and the default configuration is set
     * in application context. This method is called once when the web application is loaded, as the
     * <tt>load-on-startup</tt> value has been defined for this Servlet in the <tt>web.xml</tt>.
     *
     * @param sc the config to obtain the application context from
     */
    public void init(final ServletConfig sc) {
        // Here the config file is loaded
        try {
            ConfigManager.getInstance().add("objectFactory.xml");
        } catch (ConfigManagerException e) {
            e.printStackTrace();
        }
    }

}
